Create a job run
curl --request POST \
--url https://api.cloud.wherobots.com/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.cloud.wherobots.com/runs"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.cloud.wherobots.com/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/runs"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloud.wherobots.com/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"status": "PENDING",
"triggeredBy": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"roles": [
{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"organizationId": "<string>",
"policies": [
{
"provider": "WHEROBOTS",
"locator": "<string>",
"action": "<string>",
"effect": "ALLOW",
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]
}
],
"email": "<string>",
"name": "<string>"
},
"payload": {
"name": "<string>",
"runtime": "TINY",
"version": "<string>",
"timeoutSeconds": 3600,
"environment": {
"sparkConfigs": {},
"dependencies": []
},
"runPython": {
"uri": "<string>",
"args": []
},
"runJar": {
"uri": "<string>",
"args": [],
"mainClass": "<string>"
}
},
"isTerminal": true,
"startTime": "2023-11-07T05:31:56Z",
"completeTime": "2023-11-07T05:31:56Z",
"kubeApp": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"instanceId": "<string>",
"appType": "JUPYTER",
"status": "PENDING",
"createdById": "<string>",
"cpuUsage": 123,
"regionName": "<string>",
"message": "<string>",
"apiPayload": {},
"appMeta": {
"spark_ui_url": "",
"spark_eventlogs_url": "",
"resolved_version": "<string>"
},
"events": []
}
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}runs
Create a job run
POST
/
runs
Create a job run
curl --request POST \
--url https://api.cloud.wherobots.com/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.cloud.wherobots.com/runs"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.cloud.wherobots.com/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/runs"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloud.wherobots.com/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"status": "PENDING",
"triggeredBy": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"roles": [
{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"organizationId": "<string>",
"policies": [
{
"provider": "WHEROBOTS",
"locator": "<string>",
"action": "<string>",
"effect": "ALLOW",
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]
}
],
"email": "<string>",
"name": "<string>"
},
"payload": {
"name": "<string>",
"runtime": "TINY",
"version": "<string>",
"timeoutSeconds": 3600,
"environment": {
"sparkConfigs": {},
"dependencies": []
},
"runPython": {
"uri": "<string>",
"args": []
},
"runJar": {
"uri": "<string>",
"args": [],
"mainClass": "<string>"
}
},
"isTerminal": true,
"startTime": "2023-11-07T05:31:56Z",
"completeTime": "2023-11-07T05:31:56Z",
"kubeApp": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"instanceId": "<string>",
"appType": "JUPYTER",
"status": "PENDING",
"createdById": "<string>",
"cpuUsage": 123,
"regionName": "<string>",
"message": "<string>",
"apiPayload": {},
"appMeta": {
"spark_ui_url": "",
"spark_eventlogs_url": "",
"resolved_version": "<string>"
},
"events": []
}
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}Authorizations
bearerTokenwherobotsApiKey
Body
application/json
Compute runtime ID. Legacy uppercase values are deprecated; use lowercase IDs.
Available options:
TINY, SMALL, MEDIUM, LARGE, XLARGE, XXLARGE, micro, tiny, small, medium, large, x-large, 2x-large, 4x-large, medium-himem, large-himem, x-large-himem, 2x-large-himem, 4x-large-himem, x-large-hicpu, 2x-large-hicpu, x-large-matcher, 2x-large-matcher, micro-a10-gpu, tiny-a10-gpu, small-a10-gpu, medium-a10-gpu, large-a10-gpu, x-large-a10-gpu Response
Successful Response
Was this page helpful?

